curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}/preTranslateSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"autoPropagateRepetitions": true,
"confirmRepetitions": true,
"machineTranslationSettings": {
"confirm100PercentMatches": true,
"lock100PercentMatches": true,
"mtQeMatchesInEditors": true,
"useAltTransOnly": true,
"useMachineTranslation": true
},
"nonTranslatableSettings": {
"confirm100PercentMatches": true,
"lock100PercentMatches": true,
"nonTranslatablesInEditors": true,
"preTranslateNonTranslatables": true
},
"overwriteExistingTranslations": true,
"preTranslateOnJobCreation": true,
"setJobStatusCompleted": true,
"setJobStatusCompletedWhenConfirmed": true,
"setProjectStatusCompleted": true,
"translationMemorySettings": {
"confirm100PercentMatches": true,
"confirm101PercentMatches": true,
"lock100PercentMatches": true,
"lock101PercentMatches": true,
"translationMemoryThreshold": 0.505,
"useTranslationMemory": true
}
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}/preTranslateSettings"
payload = {
"autoPropagateRepetitions": True,
"confirmRepetitions": True,
"machineTranslationSettings": {
"confirm100PercentMatches": True,
"lock100PercentMatches": True,
"mtQeMatchesInEditors": True,
"useAltTransOnly": True,
"useMachineTranslation": True
},
"nonTranslatableSettings": {
"confirm100PercentMatches": True,
"lock100PercentMatches": True,
"nonTranslatablesInEditors": True,
"preTranslateNonTranslatables": True
},
"overwriteExistingTranslations": True,
"preTranslateOnJobCreation": True,
"setJobStatusCompleted": True,
"setJobStatusCompletedWhenConfirmed": True,
"setProjectStatusCompleted": True,
"translationMemorySettings": {
"confirm100PercentMatches": True,
"confirm101PercentMatches": True,
"lock100PercentMatches": True,
"lock101PercentMatches": True,
"translationMemoryThreshold": 0.505,
"useTranslationMemory": True
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
autoPropagateRepetitions: true,
confirmRepetitions: true,
machineTranslationSettings: {
confirm100PercentMatches: true,
lock100PercentMatches: true,
mtQeMatchesInEditors: true,
useAltTransOnly: true,
useMachineTranslation: true
},
nonTranslatableSettings: {
confirm100PercentMatches: true,
lock100PercentMatches: true,
nonTranslatablesInEditors: true,
preTranslateNonTranslatables: true
},
overwriteExistingTranslations: true,
preTranslateOnJobCreation: true,
setJobStatusCompleted: true,
setJobStatusCompletedWhenConfirmed: true,
setProjectStatusCompleted: true,
translationMemorySettings: {
confirm100PercentMatches: true,
confirm101PercentMatches: true,
lock100PercentMatches: true,
lock101PercentMatches: true,
translationMemoryThreshold: 0.505,
useTranslationMemory: true
}
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid}/preTranslateSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoPropagateRepetitions": true,
"confirmRepetitions": true,
"machineTranslationSettings": {
"confirm100PercentMatches": true,
"lock100PercentMatches": true,
"mtQeMatchesInEditors": true,
"useAltTransOnly": true,
"useMachineTranslation": true
},
"nonTranslatableSettings": {
"confirm100PercentMatches": true,
"lock100PercentMatches": true,
"nonTranslatablesInEditors": true,
"preTranslateNonTranslatables": true
},
"overwriteExistingTranslations": true,
"preTranslateOnJobCreation": true,
"setJobStatusCompleted": true,
"setJobStatusCompletedWhenConfirmed": true,
"setProjectStatusCompleted": true,
"translationMemorySettings": {
"confirm100PercentMatches": true,
"confirm101PercentMatches": true,
"lock100PercentMatches": true,
"lock101PercentMatches": true,
"translationMemoryThreshold": 0.505,
"useTranslationMemory": true
}
}Update Pre-translate settings
Deprecated. Use PUT /api2/v4/projectTemplates//preTranslateSettings instead.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project template UID
Body
Pre-translate settings to apply
Pre-translate settings
Propagate repetitions. Default: false
Set segment status to confirmed for: Repetitions. Default: false
Machine translation related settings
Show child attributes
Show child attributes
Non-translatables related settings
Show child attributes
Show child attributes
Overwrite existing translations in target segments. Default: false
Pre-translate & set job to completed: Pre-translate on job creation. Default: false
Pre-translate & set job to completed: Set job to completed once pre-translated. Default: false
Pre-translate & set job to completed when all segments confirmed: Set job to completed once pre-translated and all segments are confirmed. Default: false
Pre-translate & set job to completed: Set project to completed once all jobs pre-translated. Default: false
Translation memory related settings
Show child attributes
Show child attributes
Response
OK
Pre-translate settings
Propagate repetitions. Default: false
Set segment status to confirmed for: Repetitions. Default: false
Machine translation related settings
Show child attributes
Show child attributes
Non-translatables related settings
Show child attributes
Show child attributes
Overwrite existing translations in target segments. Default: false
Pre-translate & set job to completed: Pre-translate on job creation. Default: false
Pre-translate & set job to completed: Set job to completed once pre-translated. Default: false
Pre-translate & set job to completed when all segments confirmed: Set job to completed once pre-translated and all segments are confirmed. Default: false
Pre-translate & set job to completed: Set project to completed once all jobs pre-translated. Default: false
Translation memory related settings
Show child attributes
Show child attributes
Was this page helpful?